Skip to main content
GET
/
contract
/
v1
/
employee-leave-types
/
{employeeLeaveTypeId}
Get a single employee leave type
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/employee-leave-types/{employeeLeaveTypeId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Dismissal",
    "editable": true,
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeLeaveTypeId
string<uuid>
required

The employee leave type ID

Response

Successful response

data
object
meta
object